{
  "codeName" : "Usr5",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSDATAVIEWS/Usr5.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
  "getItemPSLayoutPanel" : {
    "codeName" : "Usr5",
    "controlType" : "PANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSPANELS/Usr5.json",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "数据视图（自定义插件）项布局面板",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "container1",
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSSysPFPlugin" : {
        "pluginType" : "CUSTOM",
        "pluginCode" : "PFPlugin13"
      }
    } ],
    "name" : "itemlayoutpanel",
    "modelid" : "74d535fc5a0257d726de7d111303c268",
    "modeltype" : "PSSYSVIEWPANEL"
  },
  "logicName" : "数据视图（自定义插件）",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_memo1_u37f11a8_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_编辑操作"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataview_memo1_uc365542_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_删除操作"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "表格界面_编辑操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataview"
  }, {
    "name" : "表格界面_删除操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "dataview"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
    "logicTag" : "dataview",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_dataview",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "srficon",
    "getPSAppDEField" : {
      "name" : "ICON",
      "codeName" : "Icon"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdescription",
    "getPSAppDEField" : {
      "name" : "SUBTEXT",
      "codeName" : "Subtext"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEDataViewItems" : [ {
    "dataItemName" : "memo1",
    "itemType" : "ACTIONITEM",
    "name" : "memo1",
    "getPSDEUIActionGroup" : {
      "codeName" : "mdCtrlAction",
      "name" : "多数据部件操作列",
      "getPSUIActionGroupDetails" : [ {
        "detailType" : "DEUIACTION",
        "name" : "u37f11a8",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "detailType" : "DEUIACTION",
        "name" : "uc365542",
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ]
    },
    "enableSort" : false
  }, {
    "dataItemName" : "srficon",
    "itemType" : "DATAITEM",
    "name" : "srficon",
    "enableSort" : false
  }, {
    "dataItemName" : "srfmajortext",
    "itemType" : "DATAITEM",
    "name" : "srfmajortext",
    "enableSort" : false
  }, {
    "dataItemName" : "srfdescription",
    "itemType" : "DATAITEM",
    "name" : "srfdescription",
    "enableSort" : false
  } ],
  "pagingSize" : 10,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "74d535fc5a0257d726de7d111303c268",
  "modeltype" : "PSDEDATAVIEW"
}